Package biotransformer.btransformers

## Class Cyp450BTransformer

- java.lang.Object
- - biotransformer.btransformers.Biotransformer
  - - biotransformer.btransformers.Cyp450BTransformer

    public class Cyp450BTransformer
    extends Biotransformer

### Field Summary

### Fields inherited from class biotransformer.btransformers.Biotransformer

`bSystem, enzymesByreactionGroups, enzymesList, inchiGenFactory, mapper, reactionsByGroups, reactionsHash, smiGen`

### Constructor Summary

Constructors
`Cyp450BTransformer​(BioSystem.BioSystemName bioSName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<Biotransformation>` `predictCyp450BiotransformationChain​(org.openscience.cdk.interfaces.IAtomContainer substrate, boolean preprocess, boolean filter, int nrOfSteps, double threshold)`
`java.util.ArrayList<Biotransformation>` `predictCyp450BiotransformationChain​(org.openscience.cdk.interfaces.IAtomContainerSet substrates, boolean preprocess, boolean filter, int nrOfSteps, double threshold)`
`java.util.ArrayList<Biotransformation>` `predictCyp450Biotransformations​(java.lang.String sdfFileName, boolean preprocess, boolean filter, double threshold)`
`java.util.ArrayList<Biotransformation>` `predictCyp450Biotransformations​(org.openscience.cdk.interfaces.IAtomContainer substrate, boolean preprocess, boolean filter, double threshold)`
`java.util.ArrayList<Biotransformation>` `predictCyp450Biotransformations​(org.openscience.cdk.interfaces.IAtomContainerSet substrates, boolean preprocess, boolean filter, double threshold)`
`java.util.ArrayList<Biotransformation>` `predictCyp450BiotransformationsForSpecificEnzymes​(org.openscience.cdk.interfaces.IAtomContainer substrate, java.util.ArrayList<Enzyme.EnzymeName> enzymeNames, boolean preprocess, boolean filter, double threshold)`
`void` `printStatistics()`
`void` `simulateCyp450MetabolismAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers, int nrOfSteps, java.lang.Double scoreThreshold, java.lang.String outputFolder, boolean annotate)`
`void` `simulateCyp450MetabolismAndSaveToSingleSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers, int nrOfSteps, java.lang.Double scoreThreshold, java.lang.String outputFileName, boolean annotate)`

### Methods inherited from class biotransformer.btransformers.Biotransformer

`applyPathwaySpecificBiotransformationChain, applyPathwaySpecificBiotransformations, applyPathwaySpecificBiotransformations, applyPathwaySpecificBiotransformationsChain, applyPathwaySpecificBiotransformationsChain, applyReactionAndReturnBiotransformations, applyReactionAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionAtOnceAndReturnBiotransformations, applyReactionChain, applyReactionChain, applyReactions, applyReactions, applyReactionsAndReturnBiotransformations, applyReactionsAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsChainAndReturnBiotransformations, applyReactionsFromContainersAndReturnBiotransformations, extractProductsFromBiotransformations, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, extractProductsFromBiotransformationsWithTransformationData, generateAllMetabolitesFromAtomContainer, generateAllMetabolitesFromAtomContainer, generateAllMetabolitesFromAtomContainerViaTransformationAtAllLocations, getBioSystemName, getReactionsList, getSmiParser, isValidSubstrate, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzyme, metabolizeWithEnzymes, metabolizeWithEnzymes, metabolizeWithEnzymesBreadthFirst, metabolizeWithEnzymesBreadthFirst, metabolizeWithEnzymesDephtFirst, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToCSV, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSdf, saveBioTransformationProductsToSDF`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Cyp450BTransformer

    public Cyp450BTransformer​(BioSystem.BioSystemName bioSName)
                       throws org.codehaus.jackson.JsonParseException,
                              org.codehaus.jackson.map.JsonMappingException,
                              java.io.IOException,
                              org.openscience.cdk.exception.CDKException

Throws:
  `org.codehaus.jackson.JsonParseException`
  `org.codehaus.jackson.map.JsonMappingException`
  `java.io.IOException`
  `org.openscience.cdk.exception.CDKException`

### Method Detail

#### predictCyp450Biotransformations

    public java.util.ArrayList<Biotransformation> predictCyp450Biotransformations​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                                                                  boolean preprocess,
                                                                                  boolean filter,
                                                                                  double threshold)
                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictCyp450BiotransformationsForSpecificEnzymes

    public java.util.ArrayList<Biotransformation> predictCyp450BiotransformationsForSpecificEnzymes​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                                                                                    java.util.ArrayList<Enzyme.EnzymeName> enzymeNames,
                                                                                                    boolean preprocess,
                                                                                                    boolean filter,
                                                                                                    double threshold)
                                                                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictCyp450Biotransformations

    public java.util.ArrayList<Biotransformation> predictCyp450Biotransformations​(org.openscience.cdk.interfaces.IAtomContainerSet substrates,
                                                                                  boolean preprocess,
                                                                                  boolean filter,
                                                                                  double threshold)
                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictCyp450Biotransformations

    public java.util.ArrayList<Biotransformation> predictCyp450Biotransformations​(java.lang.String sdfFileName,
                                                                                  boolean preprocess,
                                                                                  boolean filter,
                                                                                  double threshold)
                                                                           throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictCyp450BiotransformationChain

    public java.util.ArrayList<Biotransformation> predictCyp450BiotransformationChain​(org.openscience.cdk.interfaces.IAtomContainer substrate,
                                                                                      boolean preprocess,
                                                                                      boolean filter,
                                                                                      int nrOfSteps,
                                                                                      double threshold)
                                                                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### predictCyp450BiotransformationChain

    public java.util.ArrayList<Biotransformation> predictCyp450BiotransformationChain​(org.openscience.cdk.interfaces.IAtomContainerSet substrates,
                                                                                      boolean preprocess,
                                                                                      boolean filter,
                                                                                      int nrOfSteps,
                                                                                      double threshold)
                                                                               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateCyp450MetabolismAndSaveToSDF

    public void simulateCyp450MetabolismAndSaveToSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                     int nrOfSteps,
                                                     java.lang.Double scoreThreshold,
                                                     java.lang.String outputFolder,
                                                     boolean annotate)
                                              throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### simulateCyp450MetabolismAndSaveToSingleSDF

    public void simulateCyp450MetabolismAndSaveToSingleSDF​(org.openscience.cdk.interfaces.IAtomContainerSet containers,
                                                           int nrOfSteps,
                                                           java.lang.Double scoreThreshold,
                                                           java.lang.String outputFileName,
                                                           boolean annotate)
                                                    throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### printStatistics

    public void printStatistics()